Package net.commoble.exmachina.api

# Record Class NodeShape.Side

java.lang.Object
java.lang.Record
net.commoble.exmachina.api.NodeShape.Side

Record Components:
  `directionToNeighbor` - Direction from the node's BlockPos to its neighbor

All Implemented Interfaces:
  `NodeShape`

Enclosing interface:
  `NodeShape`

public static record NodeShape.Side(net.minecraft.core.Direction directionToNeighbor) extends Record implements NodeShape
NodeShape which represents a node on the internal face of a blockpos

## Nested Class Summary

## Nested classes/interfaces inherited from interface net.commoble.exmachina.api.NodeShape

`NodeShape.Cube, NodeShape.Side, NodeShape.SideSide`

## Constructor Summary

Constructors
Constructor
Description
`Side(net.minecraft.core.Direction directionToNeighbor)`
Creates an instance of a `Side` record class.

## Method Summary

Modifier and Type
Method
Description
`net.minecraft.core.Direction`
`directionToNeighbor()`
Returns the value of the `directionToNeighbor` record component.
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`boolean`
`isValidFor(NodeShape otherNode)`
Returns true if this targeted NodeShape is usable when a preferred node is requested for a connection.
`final String`
`toString()`
Returns a string representation of this record class.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Side

public Side(net.minecraft.core.Direction directionToNeighbor)
Creates an instance of a `Side` record class.

Parameters:
  `directionToNeighbor` - the value for the `directionToNeighbor` record component

## Method Details

### isValidFor

public boolean isValidFor(NodeShape otherNode)
Description copied from interface: `NodeShape`
Returns true if this targeted NodeShape is usable when a preferred node is requested for a connection.

Specified by:
  `isValidFor` in interface `NodeShape`
Parameters:
  `otherNode` - NodeShape which another node is trying to form a connection to
Returns:
  true if this targeted NodeShape is usable when a preferred node is requested for a connection

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### directionToNeighbor

public net.minecraft.core.Direction directionToNeighbor()
Returns the value of the `directionToNeighbor` record component.

Returns:
  the value of the `directionToNeighbor` record component